{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [
    (prismlauncher.override {
      additionalLibs = [
        glib
        nss
        nspr
        atk
        at-spi2-atk
        libdrm
        expat
        libgbm
        gtk3
        pango
        cairo
        alsa-lib
        dbus
        at-spi2-core
        cups
        libxcb
        libx11
        libxcomposite
        libxdamage
        libxext
        libxfixes
        libxrandr
        libxkbcommon
        libvlc
      ];

      additionalPrograms = [
        ffmpeg
        python3
        zenity
        vlc
      ];

      textToSpeechSupport = false;

      jdks = [
        # graalvmPackages.graalvm-ce
        temurin-jre-bin-8
        temurin-jre-bin-11
        temurin-jre-bin-17
        temurin-jre-bin
        temurin-jre-bin-25
      ];
    })
  ];
}
